Get Bigtable Instance properties
List the Instance properties of the Bigtable instance using Instance ID.
Path Parameters
- Instance_id string required
ID of instance
Responses
- 200
- 401
OK
- application/json
- Schema
- Example (from schema)
- Example 1
Schema
instanceProperties object[]
clientAppType integerautoDiscovered booleanstatus integerisDeleted booleanapplicationSize integerhasScaleProfileAccessNode booleanexcludeFromSLA booleanscIdxEnabled integerisSnapEnabled booleanisLogBackupHistoryEnabled booleaninstance object
clientName stringinstanceName stringdisplayName stringinstanceId integerinstanceGUID stringclientId integerappName stringapplicationId integerentityInfo object
companyId integercompanyName stringmultiCommcellId integerinstanceActivityControl object
activityControlOptions object[]
activityType integerenableAfterADelay booleanenableActivityType booleancloudAppsInstance object
isHostedInfrastructureInstance booleaninstanceType integercloudBigtableInstance object
cloudStagingPath stringregion stringprojectId stringobjectStorageInstance object
isCustomerManagedAccessNode booleanisDataRoomExportDestination booleangeneralCloudProperties object
regionEndPoints stringcredentials object
credentialId integercredentialName stringplanEntity object
planType integerplanName stringplanSubtype integerplanId integercredentialEntity object
credentialId integercredentialName stringcloudDBInstance object
overRideAccessNode booleanaccessNodes object
{
"instanceProperties": [
{
"clientAppType": 0,
"autoDiscovered": true,
"status": 0,
"isDeleted": true,
"applicationSize": 0,
"hasScaleProfileAccessNode": true,
"excludeFromSLA": true,
"scIdxEnabled": 0,
"isSnapEnabled": true,
"isLogBackupHistoryEnabled": true,
"instance": {
"clientName": "string",
"instanceName": "string",
"displayName": "string",
"instanceId": 0,
"instanceGUID": "string",
"clientId": 0,
"appName": "string",
"applicationId": 0,
"entityInfo": {
"companyId": 0,
"companyName": "string",
"multiCommcellId": 0
}
},
"instanceActivityControl": {
"activityControlOptions": [
{
"activityType": 0,
"enableAfterADelay": true,
"enableActivityType": true
}
]
},
"cloudAppsInstance": {
"isHostedInfrastructureInstance": true,
"instanceType": 0,
"cloudBigtableInstance": {
"cloudStagingPath": "string",
"region": "string",
"projectId": "string"
},
"objectStorageInstance": {
"isCustomerManagedAccessNode": true,
"isDataRoomExportDestination": true
},
"generalCloudProperties": {
"regionEndPoints": "string",
"credentials": {
"credentialId": 0,
"credentialName": "string"
}
}
},
"planEntity": {
"planType": 0,
"planName": "string",
"planSubtype": 0,
"planId": 0
},
"credentialEntity": {
"credentialId": 0,
"credentialName": "string"
},
"cloudDBInstance": {
"overRideAccessNode": true,
"accessNodes": {}
}
}
]
}
{
"instanceProperties": [
{
"clientAppType": 1,
"autoDiscovered": false,
"status": 0,
"isDeleted": false,
"applicationSize": 0,
"hasScaleProfileAccessNode": false,
"excludeFromSLA": false,
"scIdxEnabled": 1,
"isSnapEnabled": false,
"isLogBackupHistoryEnabled": false,
"instance": {
"clientName": "GCP-1",
"instanceName": "Bigtable3",
"displayName": "GCP-1",
"instanceId": 122,
"instanceGUID": "48",
"clientId": 20,
"appName": "Cloud Apps",
"applicationId": 134,
"entityInfo": {
"companyId": 0,
"companyName": "Commcell",
"multiCommcellId": 0
}
},
"instanceActivityControl": {
"activityControlOptions": [
{
"activityType": 1,
"enableAfterADelay": false,
"enableActivityType": true
},
{
"activityType": 2,
"enableAfterADelay": false,
"enableActivityType": true
}
]
},
"cloudAppsInstance": {
"isHostedInfrastructureInstance": false,
"instanceType": 41,
"cloudBigtableInstance": {
"cloudStagingPath": "AUTOMATIC",
"region": "asia-south1",
"projectId": "dataproject"
},
"objectStorageInstance": {
"isCustomerManagedAccessNode": true,
"isDataRoomExportDestination": false
},
"generalCloudProperties": {
"regionEndPoints": "asia-south1",
"credentials": {
"credentialId": 13,
"credentialName": "GCP_1"
}
}
},
"planEntity": {
"planType": 2,
"planName": "GCP_plan",
"planSubtype": 33554437,
"planId": 3
},
"credentialEntity": {
"credentialId": 0,
"credentialName": ""
},
"cloudDBInstance": {
"overRideAccessNode": false,
"accessNodes": {}
}
}
]
}
Unauthorized
- application/json
- Schema
- Example (from schema)
- Example 1
Schema
- errorMessage string
- errorCode integer
{
"errorMessage": "string",
"errorCode": 0
}
{
"errorMessage": "string",
"errorCode": 0
}
Loading...